For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • GETCheck Existence of Customer Email
              • GETList Users
              • POSTCreate User
              • GETGet User Information
              • PUTUpdate User Information
              • DELDelete User
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyUsers

Update User Information

PUT
https://api-b2b.bigcommerce.com/api/v2/users/:userId
PUT
/api/v2/users/:userId
$curl -X PUT https://api-b2b.bigcommerce.com/api/v2/users/123 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "firstName": "Marie",
> "lastName": "Curie",
> "email": "m.curie@greatbuys.com",
> "phoneNumber": "8001234567",
> "role": "1"
>}'
200SUCCESS
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {}
5}
Updates information about an existing Company user. The `userId` parameter accepts both the Company user ID and the BigCommerce customer account ID. Equivalent Storefront GraphQL API Mutation: `userUpdate`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Get User Information

Next

Delete User

Built with

Updates information about an existing Company user. The userId parameter accepts both the Company user ID and the BigCommerce customer account ID.

Equivalent Storefront GraphQL API Mutation: userUpdate. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

userIdstringRequired
The unique ID for the customer account.

Request

This endpoint expects an object.
firstNamestringRequired
The user's first name.
lastNamestringRequired
The user's last name.
emailstringRequiredformat: "email"
The email address associated with the user's account.
phoneNumberstringRequired
The phone number associated with the user's account.
roleenumRequired

The ID of the role assigned to the Company user account as defined at Specifying User Role.

Allowed values:

Response

OK
codedoubleDefaults to 200
messagestring
dataobject